'''
$Log: actionsTest.py,v $
Revision 1.1  2005/03/26 23:43:18  jangc
webInterface.py -> actions.py

Revision 1.1  2005/03/12 13:50:56  jangc
added

'''
import unittest

from clickyLib.actions import *

# Form Class is copied from pybb-bbsmainTest.py
class Form:
    def __init__(self, **kw):
        self.dict = kw

    def getvalue(self, name, default=None):
        return self.dict.get(name, default)

    def getlist(self, name):
        if name not in self.dict:
            return []
        if type(name) == type([]):
            return self.dict[name]
        if type(self.dict[name]) == type([]):
            return self.dict[name]
        return [self.dict[name]]

    def __getitem__(self, name):
        class value:
            def __init__(self, value):
                self.value = value
        return value(self.dict[name])

    def has_key(self, key):
        return key in self.keys()

    def keys(self):
        return self.dict.keys()


class WebInterfaceTestCase(unittest.TestCase):
    def setUp(self):
        os.environ['REMOTE_ADDR'] = '127.0.0.1'
        os.environ['REQUEST_URI'] = '/clicky.py'
        os.environ['HTTP_USER_AGENT'] = 'testcode'
        os.environ['HTTP_ACCEPT_LANGUAGE'] = 'ko'
